createBidTask
Requires permission biddesk:bid:read.
Adds a task to a bid. The owner must be a member of the bid and is notified unless it is you. Only the bid's members can use its tasks. Requires Bid Desk and permission to read bids.
Errors: a failed call returns a GraphQL errors entry, not a field on the result, and data may be null or partial. Read the entry's extensions.code and message; every shape and code is in the Error reference.
Example:
- GraphQL
- cURL
mutation CreateBidTask($input: CreateBidTaskInput!) {
createBidTask(input: $input) {
id
title
ownerName
status
createdAt
bidId
thread {
id
status
createdAt
anchorId
anchorType
bidId
}
}
}
curl -X POST "https://<api-host>/graphql" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--data @- <<'EOF'
{
"query": "mutation CreateBidTask($input: CreateBidTaskInput!) {\n createBidTask(input: $input) {\n id\n title\n ownerName\n status\n createdAt\n bidId\n thread {\n id\n status\n createdAt\n anchorId\n anchorType\n bidId\n }\n }\n}",
"variables": {
"input": {
"bidId": "id",
"ownerId": "id",
"title": "string"
}
}
}
EOF
Variables:
{
"input": {
"bidId": "id",
"ownerId": "id",
"title": "string"
}
}
Response:
{
"data": {
"createBidTask": {
"id": "id",
"title": "string",
"ownerName": "string",
"status": "CANCELLED",
"createdAt": "2025-01-15T00:00:00Z",
"bidId": "id",
"thread": {
"id": "id",
"status": "OPEN",
"createdAt": "2025-01-15T00:00:00Z",
"anchorId": "id",
"anchorType": "APPROVAL_STAGE",
"bidId": "id"
}
}
}
}
createBidTask(
input: CreateBidTaskInput!
): BidTask!
Arguments
createBidTask.input ● CreateBidTaskInput! non-null input
The bid, the title, the owner and the due date.
Type
BidTask object
A piece of work on a bid with one owner and an optional due date, made directly or from a thread.